---
title: Window.innerWidth
slug: Web/API/Window/innerWidth
tags:
  - API
  - CSSOM View
  - HTML DOM
  - Layout
  - Property
  - Reference
  - Window
  - innerWidth
  - width
---
<div>{{APIRef}}</div>

<p><span class="seoSummary">The read-only {{domxref("Window")}} property <strong><code>innerWidth</code></strong> returns the interior width of the window in pixels. This includes the width of the vertical scroll bar, if one is present.</span></p>

<p>More precisely, <code>innerWidth</code> returns the width of the window's {{Glossary("layout viewport")}}. The interior height of the window—the height of the layout viewport—can be obtained from the {{domxref("Window.innerHeight", "innerHeight")}} property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <var>intViewportWidth</var> = window.innerWidth;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the width of the window's layout viewport in pixels. This property is read-only, and has no default value.</p>

<p>To change the window's width, use one of the {{domxref("Window")}} methods for resizing windows, such as {{domxref("Window.resizeBy", "resizeBy()")}} or {{domxref("Window.resizeTo", "resizeTo()")}}.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>If you need to obtain the width of the window minus the scrollbar and borders, use the root {{HTMLElement("html")}} element's {{domxref("Element.clientWidth", "clientWidth")}} property instead.</p>

<p>The <code>innerWidth</code> property is available on any window or object that behaves like a window, such as a frame or tab.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">// This will return the width of the viewport
var intFrameWidth = window.innerWidth;

// This will return the width of the frame viewport within a frameset
var intFrameWidth = self.innerWidth;

// This will return the width of the viewport of the closest frameset
var intFramesetWidth = parent.innerWidth;

// This will return the width of the viewport of the outermost frameset
var intOuterFramesetWidth = top.innerWidth;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-window-innerwidth', 'window.innerWidth')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.innerWidth")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("window.outerWidth")}}</li>
 <li>{{domxref("window.innerHeight")}}</li>
 <li>{{domxref("window.outerHeight")}}</li>
</ul>
